GET
List transferred collateral
Returns the balance of assets deposited as collateral for the specified account.
Path Params
-
accountIdstring requiredThe ID of the account
Responses
200
A list of transferred collateral
Response Body
object
-
balancesarray of objects requiredbalances object
-
currencystring requiredSymbol of the collateral asset -
quantitystring requiredNumber representing the balance for the specified collateral -
balanceValueobject requiredReturns the value of the collateral. Has 2 fields denoting the currency used and the actual value.balanceValue object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-